# 创建 项目流程表
# 针对不通过流程需要创建不同表

create table project_process
(
    id                     int auto_increment primary key comment 'ID',
    apply_date             date         null comment '申请时间',
    apply_dept             varchar(255) null comment '申请部门',
    apply_dept_leader_name varchar(255) null comment '申请人领导',
    apply_person_name      varchar(255) null comment '申请人姓名',
    apply_person_id        int          null comment '申请人ID',
    contract_name          varchar(255) null comment '合同名称',
    contract_no            varchar(255) null comment '合同编号',
    project_id             int          null comment '项目ID',
    project_no             varchar(255) null comment '项目编号',
    project_title          varchar(255) null comment '标题',
    seal_types             varchar(255) null comment '印章类型',
    `status`               varchar(255) null comment '流程状态',
    tax_rate               varchar(255) null comment '税率',
    process_type           varchar(255) null comment '流程类型',
    remark                 text         null comment '备注',
    attachment_uri         text         null comment '附件 JSON Array',

    current_audit          varchar(255) null comment '当前审核人',
    current_audit_id       varchar(255) null comment '当前审核人ID逗号分割',

    create_at              datetime default CURRENT_TIMESTAMP comment '创建时间',
    last_update_at         datetime default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP comment '最后更新时间'

);

alter table project_process
    modify current_audit_id varchar(255) null comment '当前审核人ID逗号分割';

# 采购合同
create table procurement_contract
(
    id            int auto_increment primary key comment 'ID',
    `mode`        varchar(255) null comment '采购模式',
    payment_terms text         null comment '付款条件',
    process_id    int          null comment '流程ID',
    supplier_name varchar(255) null comment '供应商名称'
);

# 销售合同
create table sale_contract
(
    id                 int auto_increment primary key comment 'ID',
    apply_person_phone varchar(255) null comment '申请人电话',
    client_name        varchar(255) null comment '客户名称',
    payment_terms      text         null comment '收款条件',
    process_id         int          null comment '流程ID'
);


